// Generated by Selenium IDE
const { Builder, By, Key, until } = require('selenium-webdriver')
const assert = require('assert')

describe('Login', function() {
  this.timeout(30000)
  let driver
  let vars
  beforeEach(async function() {
    driver = await new Builder().forBrowser('chrome').build()
    vars = {}
  })
  afterEach(async function() {
    await driver.quit();
  })
  it('Login', async function() {
    await driver.get("http://advp44.gm.fh-koeln.de:8081/")
    await driver.manage().window().setRect(1898, 1013)
    await driver.findElement(By.css(".ng-star-inserted:nth-child(6) > .mat-mdc-list-item")).click()
    await driver.findElement(By.id("username")).sendKeys("qs_mv")
    await driver.findElement(By.id("password")).click()
    await driver.findElement(By.css(".col-sm-9")).click()
    await driver.findElement(By.id("password")).click()
    await driver.findElement(By.id("password")).sendKeys("test")
    await driver.findElement(By.id("kc-login")).click()
  })
})
